Package Details: rare 1.7.0-1

Git Clone URL: https://mpr.hunterwittenborn.com/rare.git (read-only, click to copy)
Package Base: rare
Description: A GUI for legendary, an open source replacement for Epic Games Launcher
Upstream URL: https://github.com/Dummerle/Rare
Keywords: EpicGamesSucks gaming launcher
Licenses: GPL3
Conflicts: legendary, rare-git
Submitter: zocker_160
Maintainer: zocker_160
Last Packager: Dummerle
Votes: 1
Popularity: 0.63
First Submitted: 2021-10-20 15:00
Last Updated: 2021-11-29 21:50

Dependencies (11)

  • python-wheel
  • python-setuptools
  • python-pyqt5
  • python-qtawesome
  • python-requests
  • python-psutil
  • python-pypresence
  • git (make)
  • gendesk (make)
  • wine-staging (optional) – Run windows games

Required by (0)

Sources (1)

Latest Comments

zocker_160 commented on 2021-11-30 01:06 (edited on 2021-11-30 01:07 by zocker_160)

this recent update breaks all dependencies, on Ubuntu / Debian python is Python 2.7 which is why all the packages have to start with python3, why did you change that? (otherwise everything is fine)

zocker_160 commented on 2021-10-23 13:36 (edited on 2021-11-29 17:43 by zocker_160)

@Dummerle

is it possible to install pypresence in PKGBUILD manually?

yes it is, but I think it would be better to not bundle packages that are not part of rare, because other packages might need python3-pypresence as well in the future.

yes we can also add custom .desktop file to remove the gendesk dependency, you are CoMaintainer now, feel free to push updates.

Dummerle commented on 2021-10-23 13:22

@zocker_160 It is be very nice, if would make me co maintainer.

is it possible to install pypresence in PKGBUILD manually? We could add a custom .desktop file, so we would not use gendesk

zocker_160 commented on 2021-10-23 10:27 (edited on 2021-10-23 10:41 by zocker_160)

@Dummerle the reason for that is, because makedeb does not support MPR dependencies yet, both gendesk and python3-pypresence are available on MPR.

You can use the MPR helper stoke https://github.com/Henryws/stoke to install rare including the MPR dependencies or install the MPR deps manually

PS: do you want to become CoMaintainer?

Dummerle commented on 2021-10-22 21:35 (edited on 2021-10-22 21:36 by Dummerle)

Thank you, but it does not work. gendesk and python3-pypresence fail as dependency